UnitConverter (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms.util

## Interface UnitConverter

- All Known Implementing Classes:
    AbstractUnitConverter, DefaultUnitConverter

      public interface UnitConverter

  An interface that describes how to convert general sizes to pixel sizes. For example, dialog units require a conversion that honors the font and resolution. The `Sizes` class delegates all size conversions to an implementation of this interface.
  Version:
    $Revision: 1.7 $
  Author:
    Karsten Lentzsch
  See Also:
    `Sizes`, `ConstantSize`, `AbstractUnitConverter`, `DefaultUnitConverter`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `centimeterAsPixel(double cm, Component component)` Converts Centimeters and returns pixels using the resolution of the given component's graphics object.
    `int` | `dialogUnitXAsPixel(int dluX, Component component)` Converts horizontal dialog units and returns pixels.
    `int` | `dialogUnitYAsPixel(int dluY, Component component)` Converts vertical dialog units and returns pixels.
    `int` | `inchAsPixel(double in, Component component)` Converts Inches and returns pixels using the specified resolution.
    `int` | `millimeterAsPixel(double mm, Component component)` Converts Millimeters and returns pixels using the resolution of the given component's graphics object.
    `int` | `pointAsPixel(int pt, Component component)` Converts DTP Points and returns pixels using the resolution of the given component's graphics object.

- - ### Method Detail

    - #### inchAsPixel

          int inchAsPixel(double in,
                        Component component)

      Converts Inches and returns pixels using the specified resolution.
      Parameters:
        `in` - the Inches
        `component` - the component that provides the graphics object
      Returns:
        the given Inches as pixels

    - #### millimeterAsPixel

          int millimeterAsPixel(double mm,
                              Component component)

      Converts Millimeters and returns pixels using the resolution of the given component's graphics object.
      Parameters:
        `mm` - Millimeters
        `component` - the component that provides the graphics object
      Returns:
        the given Millimeters as pixels

    - #### centimeterAsPixel

          int centimeterAsPixel(double cm,
                              Component component)

      Converts Centimeters and returns pixels using the resolution of the given component's graphics object.
      Parameters:
        `cm` - Centimeters
        `component` - the component that provides the graphics object
      Returns:
        the given Centimeters as pixels

    - #### pointAsPixel

          int pointAsPixel(int pt,
                         Component component)

      Converts DTP Points and returns pixels using the resolution of the given component's graphics object.
      Parameters:
        `pt` - DTP Points
        `component` - the component that provides the graphics object
      Returns:
        the given Points as pixels

    - #### dialogUnitXAsPixel

          int dialogUnitXAsPixel(int dluX,
                               Component component)

      Converts horizontal dialog units and returns pixels. Honors the resolution, dialog font size, platform and look&feel.
      Parameters:
        `dluX` - the horizontal dialog units
        `component` - a component that provides the font and graphics
      Returns:
        the given horizontal dialog units as pixels

    - #### dialogUnitYAsPixel

          int dialogUnitYAsPixel(int dluY,
                               Component component)

      Converts vertical dialog units and returns pixels. Honors the resolution, dialog font size, platform and look&feel.
      Parameters:
        `dluY` - the vertical dialog units
        `component` - a component that provides the font and graphics
      Returns:
        the given vertical dialog units as pixels

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.